| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties

# IG::Num::IFunc3d2d Interface Reference

Represents 3D vector functions of 2 variables. More...

Inheritance diagram for IG::Num::IFunc3d2d:
[legend]

List of all members.

## Public Member Functions
double | Value1 (double x, double y)
| Calculates and returns value of the first component of the current function.
double | Value2 (double x, double y)
| Calculates and returns value of the second component of the current function.
double | Value3 (double x, double y)
| Calculates and returns value of the third component of the current function.
double | Value1 (vec2 parameters)
| Calculates and returns value of the first component of the current function.
double | Value2 (vec2 parameters)
| Calculates and returns value of the second component of the current function.
double | Value3 (vec2 parameters)
| Calculates and returns value of the third component of the current function.
void | Gradient1 (double x, double y, out double gradx, out double grady)
| Calculates gradient of the first component of the current function and returns its components through the specified output variables.
void | Gradient2 (double x, double y, out double gradx, out double grady)
| Calculates gradient of the second component of the current function and returns its components through the specified output variables.
void | Gradient3 (double x, double y, out double gradx, out double grady)
| Calculates gradient of the third component of the current function and returns its components through the specified output variables.
vec2 | Gradient1 (vec2 parameters)
| Calculates and returns gradient of the first component of the current function.
vec2 | Gradient2 (vec2 parameters)
| Calculates and returns gradient of the second component of the current function.
vec2 | Gradient3 (vec2 parameters)
| Calculates and returns gradient of the third component of the current function.
void | Hessian1 (double x, double y, out double dxx, out double dyy, out double dxy)
| Calculates Hessian of the first component of the current function and returns its component through the specified output variables.
void | Hessian2 (double x, double y, out double dxx, out double dyy, out double dxy)
| Calculates Hessian of the second component of the current function and returns its component through the specified output variables.
void | Hessian3 (double x, double y, out double dxx, out double dyy, out double dxy)
| Calculates Hessian of the third component of the current function and returns its component through the specified output variables.
mat2 | Hessian1 (vec2 parameters)
| Calculates and returns Hessian of the first component of the current function and returns it (in the form of a mat2 struct).
mat2 | Hessian2 (vec2 parameters)
| Calculates and returns Hessian of the second component of the current function and returns it (in the form of a mat2 struct).
mat2 | Hessian3 (vec2 parameters)
| Calculates and returns Hessian of the third component of the current function and returns it (in the form of a mat2 struct).
## Properties
bool | ValueDefined`[get]`
| Whether calculation of function value is defined.
bool | GradientDefined`[get]`
| Whether calculation of function ngradient is defined.
bool | HessianDefined`[get]`
| Whether calculation of function Hessian is defined.
Func2dBase | Component1`[get]`
| Returns the scalar function that represents the first component of the current 3D vector function of 2 variables.
Func2dBase | Component2`[get]`
| Returns the scalar function that represents the second component of the current 3D vector function of 2 variables.
Func2dBase | Component3`[get]`
| Returns the scalar function that represents the third component of the current 3D vector function of 2 variables.

## Detailed Description

Represents 3D vector functions of 2 variables.

$A Igor Oct09;

## Member Function Documentation

double IG::Num::IFunc3d2d::Value1 | ( | double | x,
|  | double | y
| ) |  |

Calculates and returns value of the first component of the current function.

Parameters:

  x | First parameter.
  y | Second parameter.

Implemented in IG::Num::Func3d2dBase, and IG::Num::Func3d2dExamples::ParametricSurface.

double IG::Num::IFunc3d2d::Value2 | ( | double | x,
|  | double | y
| ) |  |

Calculates and returns value of the second component of the current function.

Parameters:

  x | First parameter.
  y | Second parameter.

Implemented in IG::Num::Func3d2dBase, and IG::Num::Func3d2dExamples::ParametricSurface.

double IG::Num::IFunc3d2d::Value3 | ( | double | x,
|  | double | y
| ) |  |

Calculates and returns value of the third component of the current function.

Parameters:

  x | First parameter.
  y | Second parameter.

Implemented in IG::Num::Func3d2dBase, and IG::Num::Func3d2dExamples::ParametricSurface.

double IG::Num::IFunc3d2d::Value1 | ( | vec2 | parameters | ) |

Calculates and returns value of the first component of the current function.

Parameters:

  parameters | Vector of function parameters (in form of the Value) struct.

Returns:
  Function value.

Implemented in IG::Num::Func3d2dBase.

double IG::Num::IFunc3d2d::Value2 | ( | vec2 | parameters | ) |

Calculates and returns value of the second component of the current function.

Parameters:

  parameters | Vector of function parameters (in form of the Value) struct.

Returns:
  Function value.

Implemented in IG::Num::Func3d2dBase.

double IG::Num::IFunc3d2d::Value3 | ( | vec2 | parameters | ) |

Calculates and returns value of the third component of the current function.

Parameters:

  parameters | Vector of function parameters (in form of the Value) struct.

Returns:
  Function value.

Implemented in IG::Num::Func3d2dBase.

void IG::Num::IFunc3d2d::Gradient1 | ( | double | x,
|  | double | y,
|  | out double | gradx,
|  | out double | grady
| ) |  |

Calculates gradient of the first component of the current function and returns its components through the specified output variables.

Parameters:

  x | First parameter.
  y | Second parameter.
  gradx | First component of the returned gradient.
  grady | Second component of the returned gradient.

Implemented in IG::Num::Func3d2dBaseNoGradient, and IG::Num::Func3d2dBase.

void IG::Num::IFunc3d2d::Gradient2 | ( | double | x,
|  | double | y,
|  | out double | gradx,
|  | out double | grady
| ) |  |

Calculates gradient of the second component of the current function and returns its components through the specified output variables.

Parameters:

  x | First parameter.
  y | Second parameter.
  gradx | First component of the returned gradient.
  grady | Second component of the returned gradient.

Implemented in IG::Num::Func3d2dBaseNoGradient, and IG::Num::Func3d2dBase.

void IG::Num::IFunc3d2d::Gradient3 | ( | double | x,
|  | double | y,
|  | out double | gradx,
|  | out double | grady
| ) |  |

Calculates gradient of the third component of the current function and returns its components through the specified output variables.

Parameters:

  x | First parameter.
  y | Second parameter.
  gradx | First component of the returned gradient.
  grady | Second component of the returned gradient.

Implemented in IG::Num::Func3d2dBaseNoGradient, and IG::Num::Func3d2dBase.

vec2 IG::Num::IFunc3d2d::Gradient1 | ( | vec2 | parameters | ) |

Calculates and returns gradient of the first component of the current function.

Parameters:

  parameters | Vector of parameters (in form of the vec2 struct)

<returnreturns>Gradient of the current 2D scalar function (in form of the vec2 struct)</returnreturns>

Implemented in IG::Num::Func3d2dBase.

vec2 IG::Num::IFunc3d2d::Gradient2 | ( | vec2 | parameters | ) |

Calculates and returns gradient of the second component of the current function.

Parameters:

  parameters | Vector of parameters (in form of the vec2 struct)

<returnreturns>Gradient of the current 2D scalar function (in form of the vec2 struct)</returnreturns>

Implemented in IG::Num::Func3d2dBase.

vec2 IG::Num::IFunc3d2d::Gradient3 | ( | vec2 | parameters | ) |

Calculates and returns gradient of the third component of the current function.

Parameters:

  parameters | Vector of parameters (in form of the vec2 struct)

<returnreturns>Gradient of the current 2D scalar function (in form of the vec2 struct)</returnreturns>

Implemented in IG::Num::Func3d2dBase.

void IG::Num::IFunc3d2d::Hessian1 | ( | double | x,
|  | double | y,
|  | out double | dxx,
|  | out double | dyy,
|  | out double | dxy
| ) |  |

Calculates Hessian of the first component of the current function and returns its component through the specified output variables.

Parameters:

  x | First parameter.
  y | Second parameter.
  dxx | Component 1-1 of the calculated Hessian.
  dyy | Component 2-2 of the calculated Hessian.
  dxy | Component 1-2 of the calculated Hessian.

Implemented in IG::Num::Func3d2dBaseNoHessian, IG::Num::Func3d2dBaseNoGradient, and IG::Num::Func3d2dBase.

void IG::Num::IFunc3d2d::Hessian2 | ( | double | x,
|  | double | y,
|  | out double | dxx,
|  | out double | dyy,
|  | out double | dxy
| ) |  |

Calculates Hessian of the second component of the current function and returns its component through the specified output variables.

Parameters:

  x | First parameter.
  y | Second parameter.
  dxx | Component 1-1 of the calculated Hessian.
  dyy | Component 2-2 of the calculated Hessian.
  dxy | Component 1-2 of the calculated Hessian.

Implemented in IG::Num::Func3d2dBaseNoHessian, IG::Num::Func3d2dBaseNoGradient, and IG::Num::Func3d2dBase.

void IG::Num::IFunc3d2d::Hessian3 | ( | double | x,
|  | double | y,
|  | out double | dxx,
|  | out double | dyy,
|  | out double | dxy
| ) |  |

Calculates Hessian of the third component of the current function and returns its component through the specified output variables.

Parameters:

  x | First parameter.
  y | Second parameter.
  dxx | Component 1-1 of the calculated Hessian.
  dyy | Component 2-2 of the calculated Hessian.
  dxy | Component 1-2 of the calculated Hessian.

Implemented in IG::Num::Func3d2dBaseNoHessian, IG::Num::Func3d2dBaseNoGradient, and IG::Num::Func3d2dBase.

mat2 IG::Num::IFunc3d2d::Hessian1 | ( | vec2 | parameters | ) |

Calculates and returns Hessian of the first component of the current function and returns it (in the form of a mat2 struct).

Implemented in IG::Num::Func3d2dBase.

mat2 IG::Num::IFunc3d2d::Hessian2 | ( | vec2 | parameters | ) |

Calculates and returns Hessian of the second component of the current function and returns it (in the form of a mat2 struct).

Implemented in IG::Num::Func3d2dBase.

mat2 IG::Num::IFunc3d2d::Hessian3 | ( | vec2 | parameters | ) |

Calculates and returns Hessian of the third component of the current function and returns it (in the form of a mat2 struct).

Implemented in IG::Num::Func3d2dBase.

## Property Documentation

bool IG::Num::IFunc3d2d::ValueDefined`[get]`

Whether calculation of function value is defined.

Implemented in IG::Num::Func3d2dBase.

bool IG::Num::IFunc3d2d::GradientDefined`[get]`

Whether calculation of function ngradient is defined.

Implemented in IG::Num::Func3d2dBase.

bool IG::Num::IFunc3d2d::HessianDefined`[get]`

Whether calculation of function Hessian is defined.

Implemented in IG::Num::Func3d2dBase.

Func2dBase IG::Num::IFunc3d2d::Component1`[get]`

Returns the scalar function that represents the first component of the current 3D vector function of 2 variables.

Implemented in IG::Num::Func3d2dBase.

Func2dBase IG::Num::IFunc3d2d::Component2`[get]`

Returns the scalar function that represents the second component of the current 3D vector function of 2 variables.

Implemented in IG::Num::Func3d2dBase.

Func2dBase IG::Num::IFunc3d2d::Component3`[get]`

Returns the scalar function that represents the third component of the current 3D vector function of 2 variables.

Implemented in IG::Num::Func3d2dBase.

The documentation for this interface was generated from the following file:

- Function3d2d.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events